org.apache.synapse.commons.staxon.core.json.stream.util

## Class CustomRegexIgnoreAutoPrimitiveTarget

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate
  - - org.apache.synapse.commons.staxon.core.json.stream.util.CustomRegexIgnoreAutoPrimitiveTarget

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, JsonStreamTarget

      public class CustomRegexIgnoreAutoPrimitiveTarget
      extends StreamTargetDelegate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomRegexIgnoreAutoPrimitiveTarget(JsonStreamTarget delegate, boolean convertAttributes, java.lang.String customRegex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `name(java.lang.String name)` Write name.
    `void` | `value(java.lang.Object value)` Write value.

    - ### Methods inherited from class org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate

      `close, endArray, endObject, flush, startArray, startObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomRegexIgnoreAutoPrimitiveTarget

          public CustomRegexIgnoreAutoPrimitiveTarget(JsonStreamTarget delegate,
                                                      boolean convertAttributes,
                                                      java.lang.String customRegex)

  - ### Method Detail

    - #### name

          public void name(java.lang.String name)
                    throws java.io.IOException

      Description copied from interface: `JsonStreamTarget`
      Write name.
      Specified by:
        `name` in interface `JsonStreamTarget`
      Overrides:
        `name` in class `StreamTargetDelegate`
      Throws:
        `java.io.IOException`

    - #### value

          public void value(java.lang.Object value)
                     throws java.io.IOException

      Description copied from interface: `JsonStreamTarget`
      Write value.
      Specified by:
        `value` in interface `JsonStreamTarget`
      Overrides:
        `value` in class `StreamTargetDelegate`
      Throws:
        `java.io.IOException`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.